Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JTransforms 2.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.jtransforms.dst
Class FloatDST_1D

    java.lang.Object
      edu.emory.mathcs.jtransforms.dst.FloatDST_1D

    public class FloatDST_1D

extends Object

Computes 1D Discrete Sine Transform (DST) of single precision data. The size of data can be an arbitrary number. It uses DCT algorithm. This is a parallel implementation optimized for SMP systems.

Author:
  Piotr Wendykier (piotr.wendykier@gmail.com)

Constructor Summary
`FloatDST_1D(int n)` Creates new instance of FloatDST_1D.

Method Summary
`void` | `forward(float[] a, boolean scale)` Computes 1D forward DST (DST-II) leaving the result in `a`.
`void` | `forward(float[] a, int offa, boolean scale)` Computes 1D forward DST (DST-II) leaving the result in `a`.
`void` | `inverse(float[] a, boolean scale)` Computes 1D inverse DST (DST-III) leaving the result in `a`.
`void` | `inverse(float[] a, int offa, boolean scale)` Computes 1D inverse DST (DST-III) leaving the result in `a`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatDST_1D

    public FloatDST_1D(int n)

  Creates new instance of FloatDST_1D.

  Parameters:
    `n` - size of data

Method Detail

### forward

    public void forward(float[] a,
                        boolean scale)

  Computes 1D forward DST (DST-II) leaving the result in `a`.

  Parameters:
    `a` - data to transform
    `scale` - if true then scaling is performed

### forward

    public void forward(float[] a,
                        int offa,
                        boolean scale)

  Computes 1D forward DST (DST-II) leaving the result in `a`.

  Parameters:
    `a` - data to transform
    `offa` - index of the first element in array `a`
    `scale` - if true then scaling is performed

### inverse

    public void inverse(float[] a,
                        boolean scale)

  Computes 1D inverse DST (DST-III) leaving the result in `a`.

  Parameters:
    `a` - data to transform
    `scale` - if true then scaling is performed

### inverse

    public void inverse(float[] a,
                        int offa,
                        boolean scale)

  Computes 1D inverse DST (DST-III) leaving the result in `a`.

  Parameters:
    `a` - data to transform
    `offa` - index of the first element in array `a`
    `scale` - if true then scaling is performed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JTransforms 2.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD